# Addons(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``Addons`(bpy_struct)

  Collection of add-ons

  classmethod `new`()

    Add a new add-on

    Returns: | Add-on data
    Return type: | `Addon`

  classmethod `remove`(addon)

    Remove add-on

    Parameters: | addon (`Addon`, (never None)) – Addon to remove

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`UserPreferences.addons` |